<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
  </head>
<?php		
  
  
  // Volání skriptu připojení do databáze
  include_once ("databaze/pripojit.php");
  session_start();
  
  // Uložení dat z index.php do paměti Session
  $email = htmlspecialchars($_POST["email"]);
  $heslo = htmlspecialchars($_POST["heslo"]);
 
  // Řešení aktivity uživatelů
  $dotaz = "SELECT * FROM uzivatele_prehled WHERE email='".$email."' AND heslo='".$heslo."'";
 
  // Provedení dotazu
  $vysledek = mysqli_query($link, $dotaz);
 
  // Kontrola správného provedení příkazu
  if(!$vysledek) {
    echo "error 1 login_zpracuj.php";
    exit();
  }
 
  // Získání počtu uživatelů odpovídajících dotazu 
  $pocet = mysqli_num_rows($vysledek);
  //$radek=mysqli_fetch_object($vysledek);
 // if ($radek->aktivace_uctu='ne') {header('Location: login.php?login_aktivace');}
 
  if ($pocet>0) {
    $radek=mysqli_fetch_object($vysledek);
   if ($radek->aktivace_uctu=='ne') {
    
    include_once ("databaze/odpojit.php");
    header('Location: login.php?login_aktivace');}
   if ($radek->ban=='ano') {
    
    include_once ("databaze/odpojit.php");
    header('Location: login.php?ban');}
    
    $_SESSION["uzivatel"] = $radek;
  
    // ověření zda není uživatel v tabulce uzivatele_aktivni s jinym session_id
    $dotaz="SELECT email FROM online_prehled WHERE email='".$_SESSION["uzivatel"]->email."'";
  
    // Provedení dotazu  
    $vysledek = mysqli_query($link, $dotaz);

    // Kontrola správného provedení příkazu
    if(!$vysledek) {
      echo "error 2 login_zpracuj.php";
      exit();
    }
 
    $pocet = mysqli_num_rows($vysledek);
 
    if ($pocet>0) {
 	    
      // Smazání duplicitních Session_id
      $dotaz="DELETE FROM online_prehled WHERE email='".$_SESSION["uzivatel"]->email."'";
      
      // Provedení dotazu
      $vysledek = mysqli_query($link, $dotaz);
     
      // Kontrola správného provedení příkazu 
      if(!$vysledek) {
        echo "login_zpracuj.php";
        exit();
      }
    }
    // vložení session_id do tabulky
    $dotaz = "INSERT INTO online_prehled (session_id, cas, email) VALUES ('".session_id()."', '".time()."', '".$_SESSION["uzivatel"]->email."');";
 
    // Provedení dotazu
    $vysledek = mysqli_query($link, $dotaz);
 
    // Kontrola správného provedení příkazu
    if(!$vysledek) {
      echo "error 3 login_zpracuj.php";
      exit();
    }

    
    // Po zjištění aktivity uživatele, kontroly jeho session_id a zápisu nové session id zobrazit úvodní obrazovku
   header('Location: index.php?login_prihlasen'); 	
  }
  //vrat se zpět, dopln spatne prihlaseni
  else {
 	  header('Location: login.php?login_attempt');
  }
  
  // Volání skriptu odpojení od databáze 
 include_once ("databaze/odpojit.php");
  
?>